package com.muyu.marketing.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.marketing.domain.req.TeamProjectSkuInfoAddReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfoDaitlResp extends BaseEntity {


    /**
     * 活动id
     */
    private Long teamId;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */

    private String unit;
    /**
     * 轮播图
     */

    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 活动排序
     */
    private Integer sort;
    /**
     * 商品SkU集合
     */
    private List<TeamProjectSkuInfoAddReq> projectSkuInfoAddReqList;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;

    public static ActivityTeamInfoDaitlResp saveSkuInfosBuild(ActivityTeamInfoDaitlResp activityTeamInfoSaveReq){
       return ActivityTeamInfoDaitlResp.builder()
                .projectSkuInfoAddReqList(activityTeamInfoSaveReq.getProjectSkuInfoAddReqList())
                .build();
    }

}
